package com.qmth.themis.business.dto.response;

import com.qmth.themis.business.entity.TEConfig;
import com.qmth.themis.business.entity.TEStudent;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/** 
* @Description: 考试返回 
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/8/3 
*/ 
public class TEExamResultDto implements Serializable {

    @ApiModelProperty(name = "考试批次信息")
    private TEExamWaitDto waiting;

    @ApiModelProperty(name = "考试场次信息集合")
    private List<TEExamActivityWaitDto> activities;

    @ApiModelProperty(name = "考试场次信息")
    private TEExamActivityWaitDto activity;

    @ApiModelProperty(name = "学生信息")
    private TEStudent student;

    @ApiModelProperty(name = "全局配置信息")
    private TEConfig global;

    public TEExamWaitDto getWaiting() {
        return waiting;
    }

    public void setWaiting(TEExamWaitDto waiting) {
        this.waiting = waiting;
    }

    public List<TEExamActivityWaitDto> getActivities() {
        return activities;
    }

    public void setActivities(List<TEExamActivityWaitDto> activities) {
        this.activities = activities;
    }

    public TEExamActivityWaitDto getActivity() {
        return activity;
    }

    public void setActivity(TEExamActivityWaitDto activity) {
        this.activity = activity;
    }

    public TEStudent getStudent() {
        return student;
    }

    public void setStudent(TEStudent student) {
        this.student = student;
    }

    public TEConfig getGlobal() {
        return global;
    }

    public void setGlobal(TEConfig global) {
        this.global = global;
    }
}
